Bug 33895 - Make run-webkit-tests work under Cygwin for the Qt port
: Make run-webkit-tests work under Cygwin for the Qt port
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Tools / Tests
: 528+ (Nightly build)
: Other Mac OS X 10.5
: P2 Normal
Assigned To: Nobody
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-20 04:38 PST by Tor Arne Vestbø
Modified: 2010-02-04 08:08 PST (History)
5 users (show)

See Also:


Attachments
Patch (11.61 KB, patch)
2010-01-20 04:45 PST, Tor Arne Vestbø
no flags Details | Formatted Diff | Diff
Changed crlf conversion to using binmode, and only on cygwin (11.34 KB, patch)
2010-01-22 08:25 PST, Tor Arne Vestbø
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tor Arne Vestbø 2010-01-20 04:38:13 PST
Make run-webkit-tests work under Cygwin for the Qt port
Comment 1 Tor Arne Vestbø 2010-01-20 04:45:09 PST
Created attachment 47008 [details]
Patch
Comment 2 Tor Arne Vestbø 2010-01-20 04:46:22 PST
Comment on attachment 47008 [details]
Patch

Addec cq flag to make this patch land though the cq, which runs run-webkit-tests on the core builders first. This should hopefully catch any problems I overlooked.
Comment 3 Simon Hausmann 2010-01-20 06:22:25 PST
Comment on attachment 47008 [details]
Patch

LGTM
Comment 4 Tor Arne Vestbø 2010-01-20 06:33:41 PST
Comment on attachment 47008 [details]
Patch

cq- for now, as I want to be present when this thing lands to make sure everything works.
Comment 5 Tor Arne Vestbø 2010-01-22 03:37:10 PST
Comment on attachment 47008 [details]
Patch

Trying to cq this now that the cq is running and I'm watching :)
Comment 6 WebKit Commit Bot 2010-01-22 04:14:10 PST
Comment on attachment 47008 [details]
Patch

Rejecting patch 47008 from commit-queue.

Failed to run "['WebKitTools/Scripts/run-webkit-tests', '--no-launch-safari', '--exit-after-n-failures=1', '--quiet']" exit_code: 1
Running build-dumprendertree
Running tests from /Users/eseidel/Projects/CommitQueue/LayoutTests
Testing 12034 test cases.
fast/dom/simultaneouslyRegsiteredTimerFireOrder.html -> failed

Exiting early after 1 failures. 5685 tests run.
86.16s total testing time

5684 test cases (99%) succeeded
1 test case (<1%) had incorrect layout
1 test case (<1%) had stderr output

Full output: http://webkit-commit-queue.appspot.com/results/203757
Comment 7 Tor Arne Vestbø 2010-01-22 08:25:35 PST
Created attachment 47207 [details]
Changed crlf conversion to using binmode, and only on cygwin
Comment 8 Tor Arne Vestbø 2010-01-22 08:26:19 PST
Comment on attachment 47207 [details]
Changed crlf conversion to using binmode, and only on cygwin

Add cq? to make it land though the cq which runs webkit tests
Comment 9 WebKit Commit Bot 2010-01-22 22:51:48 PST
Comment on attachment 47207 [details]
Changed crlf conversion to using binmode, and only on cygwin

Clearing flags on attachment: 47207

Committed r53763: <http://trac.webkit.org/changeset/53763>
Comment 10 WebKit Commit Bot 2010-01-22 22:51:53 PST
All reviewed patches have been landed.  Closing bug.
Comment 11 Brian Weinstein 2010-01-23 17:51:18 PST
This broke the Windows tests. Since r53763 it has been exiting with 20 failures after 66 tests run. Do you know a fix or should we roll this out?
Comment 12 Eric Seidel 2010-01-24 14:07:16 PST
You should always feel welcome to immediately roll out any commit from me (or the commit-bot).  I'm in the process of making a bot to do that automatically if things break.  I can always roll back in changes if necessary.

Rolling this out now.
Comment 13 Eric Seidel 2010-01-24 14:15:49 PST
Reverted r53763 for reason:

Broke 20+ tests on Windows.

Committed r53783: <http://trac.webkit.org/changeset/53783>
Comment 14 Tor Arne Vestbø 2010-02-04 08:08:45 PST
Landed in r54339, no new failures observed on the bots